Subject: bug#21930: emacs-repository-get-version fails on linked worktrees

From: Juanma Barranquero <[email-masked]>
Date: Tue, 17 Nov 2015 01:20:15 +0100

On Tue, Nov 17, 2015 at 12:01 AM, Stephen Leake <
[email-masked]> wrote:

> I'm guessing because running any background process doesn't work during
> dumping; they don't work in general in batch mode.

The code refers to bug#20799, which states that git (and other external
processes) cannot be run while dumping because `exec-path' is nil.

So the function, to be usable on a linked worktree while dumping, needs to
directly read the .git file. That's what my patch does. Calls to
`emacs-repository-get-version' with EXTERNAL = t already work (when not
dumping) without my patch, of course.

> Looks good to me.

Great.